## dar 2.6.12

=== debian/changelog ===
dar (2.6.12-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Sep 2020 18:27:08 +0200

=== debian/control ===
Source: dar
Section: utils
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 11), pkg-config, zlib1g-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev, librsync-dev
Homepage: http://dar.linux.free.fr/
Standards-Version: 4.5.0

Package: libdar-dev
Section: libdevel
Architecture: any
Depends: libdar64-6000 (= ${binary:Version}), ${misc:Depends}, libbz2-dev, libgcrypt-dev, liblzo2-dev, zlib1g-dev, libgpg-error-dev, libassuan-dev, liblzma-dev
Description: Disk ARchive: Development files for shared library
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.

Package: libdar64-6000
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Disk ARchive: Shared library
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.
 .
 This package contains the shared library for accessing archives.

Package: dar-static
Architecture: any
Depends: ${misc:Depends}
Built-Using: ${Built-Using}
Description: Disk ARchive: Backup directory tree and files
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.
 .
 This package contains the static binary, dar_static.

Package: dar
Architecture: any
Depends: libdar64-6000 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: par2, dar-docs
Description: Disk ARchive: Backup directory tree and files
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.

Package: dar-docs
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Disk ARchive: Backup directory tree and files
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.
 .
 This package contains the documentation and example files.

## dar 2.6.13

=== debian/changelog ===
dar (2.6.13-2) unstable; urgency=medium

  * Fix paths in dar_par.dcf (closes: #980278).
  * Add upstream metadata.
  * Update packaging bits.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Jan 2021 08:00:23 +0100

dar (2.6.13-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Nov 2020 19:07:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), pkg-config, zlib1g-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
+Build-Depends: debhelper-compat (= 12), pkg-config, zlib1g-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
 Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev, librsync-dev
+Standards-Version: 4.5.1
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: libdar-dev
 Section: libdevel
@@ -59,4 +60,3 @@
  operations, including with ssh.
  .
  This package contains the documentation and example files.
-

## dar 2.7.2

=== debian/changelog ===
dar (2.7.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.  Minor changes needed to remove
    reference to libattr1-dev from debian/rules BUILT_USING.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Nov 2021 06:37:19 -0600

dar (2.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Sep 2021 15:22:32 +0200

dar (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Update debhelper level to 13 .
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Aug 2021 08:15:34 +0200

dar (2.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Jun 2021 12:12:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), pkg-config, zlib1g-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
+Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
 Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev, librsync-dev
 Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://dar.linux.free.fr/
-Rules-Requires-Root: no
 
 Package: libdar-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := --disable-upx --enable-mode=64
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

BUILT_USING_PACKAGES = libc-dev-bin libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(BUILT_USING_PACKAGES))

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	echo testing is no op

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/tmp/usr/share/dar/samples \
		$(CURDIR)/debian/tmp/usr/share/examples
	chmod a-x $(CURDIR)/debian/tmp/usr/share/examples/MyBackup.sh.tar.gz
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/dar.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/dar_static.1

override_dh_gencontrol:
	dh_gencontrol
	dh_gencontrol -pdar-static -- -VBuilt-Using="$(BUILT_USING)"

%:
	dh $@

.PHONY: override_dh_auto_configure override_dh_auto_test \
	override_dh_auto_install override_dpkg-gencontrol

## dar 2.7.3

=== debian/changelog ===
dar (2.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 03 Jan 2022 09:45:52 +0100

dar (2.7.3~rc2-1) unstable; urgency=medium

  * New upstream release candidate version.
  * Enable Zstandard compression support.
  * Enable LZ4 compression support.
  * Enable Argon2 hashing support.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Dec 2021 23:24:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
+Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev, libbz2-dev,
+ libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev, e2fslibs-dev,
+ libgcrypt20-dev, libgpgme-dev, libargon2-dev, doxygen, groff
 Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev, librsync-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
@@ -11,7 +13,9 @@
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-6000 (= ${binary:Version}), ${misc:Depends}, libbz2-dev, libgcrypt-dev, liblzo2-dev, zlib1g-dev, libgpg-error-dev, libassuan-dev, liblzma-dev
+Depends: libdar64-6000 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev,
+ libbz2-dev, libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev,
+ libgcrypt20-dev, libgpg-error-dev, libassuan-dev, libargon2-dev
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS := --disable-upx --enable-mode=64
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
-BUILT_USING_PACKAGES = libc-dev-bin libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev
+BUILT_USING_PACKAGES = libc-dev-bin libattr1-dev libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev libzstd-dev liblz4-dev libargon2-dev
 
 BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(BUILT_USING_PACKAGES))

## dar 2.7.7

=== debian/changelog ===
dar (2.7.7-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Aug 2022 14:53:18 +0200

dar (2.7.6-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Jun 2022 00:11:42 +0200

dar (2.7.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Apr 2022 18:42:55 +0200

dar (2.7.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 15 Mar 2022 15:26:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_CONFIGURE_EXTRA_FLAGS := --disable-upx --enable-mode=64
+DEB_CONFIGURE_EXTRA_FLAGS := --disable-upx --disable-python-binding \
+			     --enable-mode=64
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 BUILT_USING_PACKAGES = libc-dev-bin libattr1-dev libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev libzstd-dev liblz4-dev libargon2-dev

## dar 2.7.8

=== debian/changelog ===
dar (2.7.8-2) bookworm; urgency=high

  * Include a patch that can prevent issues with creating isolated catalogs
    with dar built using gcc 12 or newer.  Closes: #1050663.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 04 Sep 2023 15:07:26 -0500

dar (2.7.8-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Dec 2022 15:57:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev, libbz2-dev,
  libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev, e2fslibs-dev,
- libgcrypt20-dev, libgpgme-dev, libargon2-dev, doxygen, groff
+ libgcrypt20-dev, libgpgme-dev, libassuan-dev, libargon2-dev, doxygen, groff
 Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev, librsync-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://dar.linux.free.fr/

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -10,7 +10,7 @@
 			     --enable-mode=64
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
-BUILT_USING_PACKAGES = libc-dev-bin libattr1-dev libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev libzstd-dev liblz4-dev libargon2-dev
+BUILT_USING_PACKAGES = libc-dev-bin libattr1-dev libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev libzstd-dev liblz4-dev libargon2-dev libassuan-dev
 
 BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(BUILT_USING_PACKAGES))

## dar 2.7.10

=== debian/changelog ===
dar (2.7.10-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 Aug 2023 19:56:57 -0500

dar (2.7.10-2) unstable; urgency=medium

  * Source-only upload to facilitate testing migration

 -- John Goerzen <jgoerzen@complete.org>  Sat, 08 Jul 2023 16:02:14 -0500

dar (2.7.10-1) unstable; urgency=medium

  * New upstream release
  * Now compile dar's Python bindings in new python3-dar package.
  * Clarify the status of dar_static in README.Debian
  * Remove highly obsolete debian NEWS file, clearing up
    lintian warnings.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 07 Jul 2023 21:16:28 -0500

dar (2.7.9-2) unstable; urgency=medium

  * Now built with libthreadar, allowing FTP/SFTP and cloud storage.
    Closes: #918075.
  * Built with curl + OpenSSL support
  * No longer build the pngs for API docs.  That change introduced
    in 2.7.9-1 made dar-docs huge.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 17 Jun 2023 12:11:11 -0500

dar (2.7.9-1) unstable; urgency=medium

  * New upstream release.
  * Support delta changes via librsync.
  * Update build dep on e2fslibs-dev to new name libext2fs-dev
  * Add build dep on libcap-dev to eneable proper capability handling.
  * Add build dep on libnsl-dev.
  * Add build-dependency on dot to ensure figures for docs are always
    built.
  * New maintainer, with permission of old maintainer.  Thank you
    for maintaining dar, Laszlo!
  * The above go a long way to resolving #918075.  libthreadar integration
    will finish the job.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 06 Mar 2023 18:19:22 -0600

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,20 @@
 Source: dar
 Section: utils
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev, libbz2-dev,
- libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev, e2fslibs-dev,
- libgcrypt20-dev, libgpgme-dev, libassuan-dev, libargon2-dev, doxygen, groff
-Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev, librsync-dev
+ libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev, libext2fs-dev,
+ libgcrypt20-dev, libgpgme-dev, libassuan-dev, libargon2-dev,
+ librsync-dev, libcap-dev, libnsl-dev,
+ doxygen, groff, libthreadar-dev,
+ libcurl4-openssl-dev, libssl-dev,
+ python3-all-dev, dh-python, python3-setuptools, python3-pybind11
+Build-Conflicts: libcurl4-gnutls-dev, graphviz
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://dar.linux.free.fr/
+Vcs-Browser: https://salsa.debian.org/debian/dar
+Vcs-Git: https://salsa.debian.org/debian/dar.git
 
 Package: libdar-dev
 Section: libdevel
@@ -17,6 +23,15 @@
  libbz2-dev, libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev,
  libgcrypt20-dev, libgpg-error-dev, libassuan-dev, libargon2-dev
 Description: Disk ARchive: Development files for shared library
+ Full featured archiver with support for differential backups, slices,
+ compression, ATTR/ACL support. DAR also supports Pipes for remote
+ operations, including with ssh.
+
+Package: python3-dar
+Architecture: any
+Section: python
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Description: Disk ARchive: Python bindings
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
  operations, including with ssh.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


# The multi-build in this file is based on the example
# in kmod.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := --disable-upx \
			     --enable-mode=64
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

BUILT_USING_PACKAGES = libc-dev-bin libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev libzstd-dev liblz4-dev libargon2-dev libassuan-dev librsync-dev libext2fs-dev libcap-dev libnsl-dev libthreadar-dev libssl-dev libcurl4-openssl-dev

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(BUILT_USING_PACKAGES))

override_dh_clean:
	rm -rf build-*
	rm -rf debian/tmp*
	dh_clean

build-main/config.status: configure
	dh_auto_configure --builddir=build-main -- $(DEB_CONFIGURE_EXTRA_FLAGS) --disable-dar-static --enable-python-binding

build-static/config.status: configure
	dh_auto_configure --builddir=build-static -- \
		$(DEB_CONFIGURE_EXTRA_FLAGS) --disable-shared --disable-libcurl-linking --disable-python-binding

build-main/.stamp-build: build-main/config.status
	dh_auto_build --builddir=build-main
	touch $@

build-static/.stamp-build: build-static/config.status
	dh_auto_build --builddir=build-static
	touch $@

override_dh_auto_build: build-main/.stamp-build build-static/.stamp-build

override_dh_auto_configure:

override_dh_auto_test:
	echo testing is no op

override_dh_auto_install:
	dh_auto_install --builddir=build-static --destdir=debian/tmp-static
	dh_auto_install --builddir=build-main
	mv $(CURDIR)/debian/tmp/usr/share/dar/samples \
		$(CURDIR)/debian/tmp/usr/share/examples
	chmod a-x $(CURDIR)/debian/tmp/usr/share/examples/MyBackup.sh.tar.gz
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
	mv $(CURDIR)/debian/tmp/usr/lib/*/python3/dist-packages/* \
		$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/
	cp -a $(CURDIR)/debian/tmp-static/usr/bin/*_static \
		$(CURDIR)/debian/tmp/usr/bin/
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/dar.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/dar_static.1

override_dh_gencontrol:
	dh_gencontrol
	dh_gencontrol -pdar-static -- -VBuilt-Using="$(BUILT_USING)"

%:
	dh $@ --with python3

.PHONY: override_dh_auto_configure override_dh_auto_test \
	override_dh_auto_install override_dpkg-gencontrol

## dar 2.7.12

=== debian/changelog ===
dar (2.7.12-1~bpo12+1) bookworm-backports; urgency=high

  * Rebuild for bookworm-backports.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 11 Sep 2023 14:32:31 -0500

dar (2.7.12-1) unstable; urgency=high

  * New upstream release.  This release fixes a bug that causes
    an error restoring a binary patch (delta) when it was based on
    another binary patch.  It also fixes a segfault when listing
    the archive content with the -I option.  This bug was
    present in releases 2.7.9 to 2.7.11, so did not hit Debian stable.
  * Apply patch that prevents invalid catalogs to be generated with
    --on-fly-isolate when built with certain versions of gcc.
    Closes: #1050663.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 04 Sep 2023 14:32:31 -0500

## dar 2.7.13

=== debian/changelog ===
dar (2.7.13-5) unstable; urgency=medium

  * Source-only upload for transition.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 15 Feb 2024 17:25:38 -0600

dar (2.7.13-4) unstable; urgency=high

  * Revert 64-bit time transition.  Closes: #1062010.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 08 Feb 2024 07:14:02 -0600

dar (2.7.13-3) unstable; urgency=medium

  * Apply 64-bit time_t transition patch from Michael Hudson-Doyle.
    Closes: #1062010.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 05 Feb 2024 00:02:04 -0600

dar (2.7.13-2) unstable; urgency=medium

  * Change build-dep on python3-all-dev to python3-dev.  Closes: #1055500.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 08 Nov 2023 06:07:15 -0600

dar (2.7.13-1) unstable; urgency=high

  * New upstream release.
  * Official upstream patch for on-fly-isolate catalog issues.
    Closes: #1050663.  Remove local patch for same.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 23 Oct 2023 06:08:35 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  librsync-dev, libcap-dev, libnsl-dev,
  doxygen, groff, libthreadar-dev,
  libcurl4-openssl-dev, libssl-dev,
- python3-all-dev, dh-python, python3-setuptools, python3-pybind11
+ python3-dev, dh-python, python3-setuptools, python3-pybind11
 Build-Conflicts: libcurl4-gnutls-dev, graphviz
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

## dar 2.7.14

=== debian/changelog ===
dar (2.7.14-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Tue, 26 Mar 2024 18:11:58 -0500

dar (2.7.13-6) unstable; urgency=medium

  * Ack NMU.  Closes: #1062010.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 21 Mar 2024 07:29:04 -0500

dar (2.7.13-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062010

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Mar 2024 07:41:43 +0000

## dar 2.7.15

=== debian/changelog ===
dar (2.7.15-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 11 Sep 2024 06:10:16 -0500

dar (2.7.15-2) unstable; urgency=medium

  * Update dep on libthreadar to 1.5.0.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 05 Sep 2024 07:24:09 -0500

dar (2.7.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.  Unapply 64-bit time_t transition
    patch for bookworm.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 02 Sep 2024 09:05:13 -0500

dar (2.7.15-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Tue, 23 Jul 2024 06:14:28 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev, libext2fs-dev,
  libgcrypt20-dev, libgpgme-dev, libassuan-dev, libargon2-dev,
  librsync-dev, libcap-dev, libnsl-dev,
- doxygen, groff, libthreadar-dev,
+ doxygen, groff, libthreadar-dev (>= 1.5.0),
  libcurl4-openssl-dev, libssl-dev,
  python3-dev, dh-python, python3-setuptools, python3-pybind11
 Build-Conflicts: libcurl4-gnutls-dev, graphviz

## dar 2.7.16

=== debian/changelog ===
dar (2.7.16-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Feb 2025 07:42:02 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper-compat (= 13), pkg-config, zlib1g-dev, libbz2-dev,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), pkgconf, zlib1g-dev, libbz2-dev,
  libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev, libext2fs-dev,
  libgcrypt20-dev, libgpgme-dev, libassuan-dev, libargon2-dev,
  librsync-dev, libcap-dev, libnsl-dev,
@@ -19,7 +19,7 @@
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-6000 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev,
+Depends: libdar64-6000t64 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev,
  libbz2-dev, libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev,
  libgcrypt20-dev, libgpg-error-dev, libassuan-dev, libargon2-dev
 Description: Disk ARchive: Development files for shared library
@@ -36,7 +36,10 @@
  compression, ATTR/ACL support. DAR also supports Pipes for remote
  operations, including with ssh.
 
-Package: libdar64-6000
+Package: libdar64-6000t64
+Provides: ${t64:Provides}
+Replaces: libdar64-6000
+Breaks: libdar64-6000 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -61,7 +64,7 @@
 
 Package: dar
 Architecture: any
-Depends: libdar64-6000 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libdar64-6000t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: par2, dar-docs
 Description: Disk ARchive: Backup directory tree and files
  Full featured archiver with support for differential backups, slices,

=== debian/rules ===
--- 
+++ 
@@ -35,12 +35,14 @@
 	touch $@
 
 build-static/.stamp-build: build-static/config.status
+	find . -name Makefile.in -exec sed -i 's/@LIBS@/@LIBS@ -lassuan/g' {} \;
 	dh_auto_build --builddir=build-static
 	touch $@
 
 override_dh_auto_build: build-main/.stamp-build build-static/.stamp-build
 
 override_dh_auto_configure:
+	# Don't do the normal steps here due to separate builds
 
 override_dh_auto_test:
 	echo testing is no op

## dar 2.7.17

=== debian/changelog ===
dar (2.7.17-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 09:44:23 -0500

## dar 2.8.1

=== misc/Args/Makefile ===

all: args

args: args.c

clean:
	rm -f args

=== debian/changelog ===
dar (2.8.1-1) unstable; urgency=medium

  * New upstream release
  * Added deps to libdar-dev.  Closes: #1069573.
  * libdar soname update; libdar64-7000 now new name.  Dropping
    "t64" suffix since this is no longer needed given the new
    package name.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 21 Oct 2025 22:44:16 -0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
  libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev, libext2fs-dev,
  libgcrypt20-dev, libgpgme-dev, libassuan-dev, libargon2-dev,
  librsync-dev, libcap-dev, libnsl-dev,
- doxygen, groff, libthreadar-dev (>= 1.5.0),
+ doxygen, groff, libthreadar-dev (>= 1.6.1),
  libcurl4-openssl-dev, libssl-dev,
- python3-dev, dh-python, python3-setuptools, python3-pybind11
+ python3-dev, dh-python, python3-setuptools, python3-pybind11,
+ librhash-dev, libssh-dev
 Build-Conflicts: libcurl4-gnutls-dev, graphviz
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -19,9 +20,11 @@
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-6000t64 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev,
+Depends: libdar64-7000 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev,
  libbz2-dev, libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev,
- libgcrypt20-dev, libgpg-error-dev, libassuan-dev, libargon2-dev
+ libgcrypt20-dev, libgpg-error-dev, libassuan-dev, libargon2-dev,
+ librhash-dev, libssh-dev, libthreadar-dev (>= 1.6.1), libgpgme-dev, librsync-dev,
+ libcap-dev
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
@@ -36,10 +39,10 @@
  compression, ATTR/ACL support. DAR also supports Pipes for remote
  operations, including with ssh.
 
-Package: libdar64-6000t64
+Package: libdar64-7000
 Provides: ${t64:Provides}
-Replaces: libdar64-6000
-Breaks: libdar64-6000 (<< ${source:Version})
+Replaces: libdar64-6000, libdar64-6000t64
+Breaks: libdar64-6000 (<< ${source:Version}), libdar64-6000t64 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -64,7 +67,7 @@
 
 Package: dar
 Architecture: any
-Depends: libdar64-6000t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libdar64-7000 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: par2, dar-docs
 Description: Disk ARchive: Backup directory tree and files
  Full featured archiver with support for differential backups, slices,

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 build-static/config.status: configure
 	dh_auto_configure --builddir=build-static -- \
-		$(DEB_CONFIGURE_EXTRA_FLAGS) --disable-shared --disable-libcurl-linking --disable-python-binding
+		$(DEB_CONFIGURE_EXTRA_FLAGS) --enable-dar-static --disable-shared --disable-libcurl-linking --disable-libssh-linking --disable-python-binding
 
 build-main/.stamp-build: build-main/config.status
 	dh_auto_build --builddir=build-main

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/Edrusb/DAR/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@

## dar 2.8.3

=== debian/changelog ===
dar (2.8.3-1build1) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Fri, 20 Feb 2026 19:43:39 +0000

dar (2.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Added more libs to libdar-dev deps.  Closes: #1069573.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 17 Feb 2026 07:47:57 -0600

dar (2.8.1-3) unstable; urgency=medium

  * Fix FTBFS by reverting the buggy code in 2.8.1-2.  Closes: #1122970.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 Dec 2025 21:06:40 -0600

dar (2.8.1-2) unstable; urgency=medium

  * Use the libdar64.a from the static rather than the shared build
    for libdar-dev.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 14 Nov 2025 05:37:03 -0600

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
 Section: libdevel
 Architecture: any
 Depends: libdar64-7000 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev,
- libbz2-dev, libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev,
+ libbz2-dev, libzstd-dev, liblzo2-dev, liblzma-dev, liblz4-dev, libext2fs-dev,
  libgcrypt20-dev, libgpg-error-dev, libassuan-dev, libargon2-dev,
  librhash-dev, libssh-dev, libthreadar-dev (>= 1.6.1), libgpgme-dev, librsync-dev,
- libcap-dev
+ libcap-dev, libcurl4-openssl-dev, libssl-dev, libnsl-dev
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
